<?php

/**
 * Single post
 *
 * @package Purosa
 */
?>

<article id="post-<?php 
the_ID();
?>" <?php 
post_class( 'entry single-post__entry' );
?>>
	
	<div class="entry__article-wrap">

		<?php 
?>
	
		<!-- Article -->
		<div class="entry__article-content">

			<div class="entry__article clearfix">
				<?php 
the_content();
?>
			</div>

			<?php 
purosa_multi_page_pagination();
?>

			<!-- Tags -->
			<?php 

if ( get_theme_mod( 'purosa_post_tags_show', true ) ) {
    ?>
				<?php 
    
    if ( has_tag( $tag ) ) {
        ?>
					<div class="entry__tags">				
						<span class="entry__tags-label"><?php 
        echo  esc_html__( 'Tags: ', 'purosa' ) ;
        ?></span>							
						<?php 
        the_tags( '', '', '' );
        ?>				
					</div> <!-- end tags -->
				<?php 
    }
    
    ?>
			<?php 
}

?>

		</div> <!-- .entry__article-content -->		

	</div>
</article><!-- #post-## -->


<?php 
if ( get_theme_mod( 'purosa_author_box_show', true ) ) {
    purosa_author_box();
}
?>

<?php 
if ( get_theme_mod( 'purosa_related_posts_show', true ) ) {
    purosa_related_posts();
}
?>

<?php 
if ( comments_open() || get_comments_number() ) {
    comments_template();
}
?>

<!-- Prev / Next Posts -->
<?php 
purosa_post_nav();