<?php
/**
 * Featured image thumbnail
 *
 * @package Purosa
 */
?>

<div class="entry__img-holder single-post__entry-img-holder full-overlay" <?php if ( has_post_thumbnail() ) : ?>style="background-image: url(<?php the_post_thumbnail_url(); ?>);" <?php endif; ?> >
	<div class="single-post__entry-header entry__header">

		<?php if ( get_theme_mod( 'purosa_meta_category_show', true ) || get_theme_mod( 'purosa_meta_date_show', true ) ) : ?>
			<div class="single-post__entry-meta entry__meta">
				<?php if ( get_theme_mod( 'purosa_meta_category_show', true ) ) : ?>
					<?php purosa_meta_category(); ?>
				<?php endif; ?>
				<?php if ( get_theme_mod( 'purosa_meta_date_show', true ) ) : ?>
					<?php purosa_meta_date(); ?>
				<?php endif; ?>
			</div>
		<?php endif; ?>

		<h1 class="single-post__entry-title"><?php the_title(); ?></h1>

		<?php if ( get_theme_mod( 'purosa_meta_author_show', true ) ) : ?>
			<?php $author_nicename = get_the_author_meta( 'user_nicename' ); ?>
			<?php if ( ! empty( $author_nicename ) ) : ?>
				<div class="entry__meta-author">
					<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ); ?>" class="entry__meta-author-url">
						<?php echo get_avatar( get_the_author_meta( 'ID' ), 35, null, null, array( 'class' => array( 'entry__meta-author-img' ) ) ); ?>
						<span class="entry__meta-author-name"><?php the_author(); ?></span>
					</a>
				</div>
			<?php endif; ?>
		<?php endif; ?>

	</div>
</div>