<?php
/**
 * Grid posts template file.
 *
 * @package Purosa
 */
?>

<?php if ( have_posts() ) : ?>

	<div class="row masonry-grid" id="masonry-grid">

		<?php while ( have_posts() ) : the_post(); ?>
			<?php $columns = purosa_get_columns(); ?>

			<div class="col-md-6 masonry-item <?php echo esc_attr( $columns ); ?>">
				<?php get_template_part( 'template-parts/grid-post', get_post_format() ); ?>
			</div>

		<?php endwhile; ?>

	</div> <!-- .row -->

	<?php else : ?>
		<?php get_template_part( 'template-parts/content', 'none' ); ?>
<?php endif; ?>